
MLEB Web Framework - Feature #7413

404 handling if url does not exist

27 April 2020 10:41 AM - chok yee fan

Status: Resolved Start date: 27 April 2020

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Create a 404 page to handle if the router/url does not exist

History

#1 - 06 May 2020 09:39 AM - chok yee fan

- Assignee set to Boon Yow Chua

#2 - 08 May 2020 11:22 AM - Tan Ping TP

- Status changed from New to Resolved

Revision: 190906

Author: tanping

Date: Saturday, May 2, 2020 7:53:42 PM

Message:

Feature #7413

----

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/app-routing.module.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public/maintenance-error

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public/maintenance-error/maintenance-error-routing.module.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public/maintenance-error/maintenance-error.component.html

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public/maintenance-error/maintenance-error.component.scss

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public/maintenance-error/maintenance-error.component.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public/maintenance-error/maintenance-error.module.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/assets/i18n/en.json

#3 - 16 October 2020 09:52 AM - chok yee fan

- Status changed from Resolved to In Progress

- Assignee changed from Boon Yow Chua to Tan Hua Sheng

Please help to test it

#4 - 20 October 2020 02:54 PM - Tan Hua Sheng

- Status changed from In Progress to Resolved

- Assignee changed from Tan Hua Sheng to chok yee fan
https://dev.silverlakemobility.com/redmine/issues/7413


Revision: 198529

Author: inttanhs

Date: Tuesday, October 20, 2020 2:37:28 PM

Message:

TAN HUA SHENG : CREATED A 404 PAGE FOR ERROR HANDLING IF URL DOES NOT EXIST

----

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/app-routing.module.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/app.module.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public/error404

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public/error404/error404-routing.module.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public/error404/error404.component.css

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public/error404/error404.component.html

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public/error404/error404.component.spec.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public/error404/error404.component.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public/error404/error404.module.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/layout/mleb-side-layout/mleb-side-layout-routing.module.ts
